Uploaded image for project: 'SwitchYard'
  1. SwitchYard
  2. SWITCHYARD-2411

Errors in bundle projects created by tooling

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 2.0
    • Component/s: tooling
    • Labels:
      None

      Description

      There are a few errors in bundle projects created by the tooling. These are exposed by walking through the tooling quickstart, but using bundle packaging and Karaf instead of EAP.

      1. Stack trace running mvn install. This has something to do with updating the OBR repository, which I'm not sure we should be doing (but that requires further investigation). Problems seem to be related to...
      2. Versions are not bundle friendly. The Bundel-Version is appropriately updated (e.g. 0.0.1.SNAPSHOT no -SNAPSHOT), but the SwitchYard versions is not. There also seem to be problems with the package import versions, which show up as version="[${version;==;2.0.0-SNAPSHOT},${version;=+;2.0.0-SNAPSHOT})" in the manifest.

      I also wonder if we should be adding resolver="(obr)" to the application's feature definition (e.g. https://github.com/jboss-switchyard/release/blob/master/karaf/features/src/main/resources/features.xml#L10).

        Gliffy Diagrams

          Attachments

          1. karaf.log
            26 kB
          2. karaf.log
            16 kB

            Activity

              People

              • Assignee:
                bfitzpat Brian Fitzpatrick
                Reporter:
                rcernich Rob Cernich
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: